stages:
- name: 构建
  steps:
  - runScriptConfig:
      image: 172.31.116.91:30657/node-cnpm:latest
      shellScript: |-
        wget http://47.101.10.107:8081/repository/npm-hossted/@winsea-product/winsea-product-operation-front/-/winsea-product-operation-front-1.3.10.tgz
        tar -zxvf winsea-product-operation-front-1.3.10.tgz
        mv package/dist ./dist
- name: 发布
  steps:
  - publishImageConfig:
      dockerfilePath: ./Dockerfile
      buildContext: .
      tag: ws-product-operation-front:${CICD_EXECUTION_SEQUENCE}
      pushRemote: true
      registry: 172.31.116.91:30657
    env:
      PLUGIN_DEBUG: "true"
      PLUGIN_INSECURE: "true"
- name: 部署
  steps:
  - applyYamlConfig:
      path: ./deployment.yaml
timeout: 60
notification: {}
